/***************************************************************************
                          updatethread.h  -  description
                             -------------------
    begin                : Mon Feb 23 23:49:43 CEST 2004
    copyright            : (C) 2004 by Thomas Friedrichsmeier
    email                : Thomas.Friedrichsmeier@ruhr-uni-bochum.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UPDATETHREAD_H
#define UPDATETHREAD_H

#include <qthread.h>

#include "tpbase.h"

/**
  *@author Thomas Friedrichsmeier
  */

/** This thread is used for updating the canvas at regular intervals.
  It's a separate thread, so the update-period may vary dynamically,
  if system load is high. */

class UpdateThread: public QThread, public TPBase {
public:
/** Construct the thread with given (maximum) update-period */
	UpdateThread(int frame_period);
	~UpdateThread();
private:
	int delay;
protected:
/** do the stuff */
	virtual void run ();
};

#endif
